Package twisted :: Package internet :: Module default :: Class _Win32Waker

[frames | no frames]

## Class _Win32Waker

    Ephemeral --+
                |
       Logger --+
                |
               _Win32Waker

I am a workaround for the lack of pipes on win32.

I am a pair of connected sockets which can wake up the main loop from another thread.

Method Summary
| ``__init__`(self, reactor)` Initialize.
| `connectionLost(self, reason)`
| ``doRead`(self)` Read some data from my connection.
| ``wakeUp`(self)` Send a byte to my connection.
Inherited from Logger
| ``logPrefix`(self)` Override this method to insert custom logging behavior.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
`int` | `disconnected` = 0

Method Details

### __init__(self, reactor)
(Constructor)

Initialize.

### doRead(self)

Read some data from my connection.

### wakeUp(self)

Send a byte to my connection.

Class Variable Details

### disconnected

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:08:29 2004 | http://epydoc.sf.net